<?php
define("IN_SITE", true);
require_once("../../core/DB.php");
require_once("../../core/helpers.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if ($DVR->site('status_demo') != 0) {
        $data = json_encode([
            'status'    => 'error',
            'msg'       => 'Không được dùng chức năng này vì đây là trang web demo'
        ]);
        die($data);
    }
    $id = xss($_POST['id']);
    if (check_xss($_POST['title']) || check_xss($_POST['image']) || check_xss($_POST['money']) || check_xss($_POST['sdt']) || check_xss($_POST['telegram']) || check_xss($_POST['linkfb']) || check_xss($_POST['idfb']) || check_xss($_POST['website']) || check_xss($_POST['dichvucungcap']) || check_xss($_POST['ngay'])) {
        die(json_encode(['status' => 'error', 'msg' => 'Tao Buồn Đó Mày']));
    }
    
    $dich_vu = ($_POST['dich_vu']);
    $title = xss($_POST['title']);
    $image = xss($_POST['image']);
    $money = xss($_POST['money']);
    $sdt = xss($_POST['sdt']);
    $telegram = xss($_POST['telegram']);
    $linkfb = xss($_POST['linkfb']);
    $idfb = xss($_POST['idfb']);
    $linkwebsite = xss($_POST['website']);
    $dichvucungcap = xss($_POST['dichvucungcap']);
    $ngay = xss($_POST['ngay']);
    $banks = array_map('htmlspecialchars', $_POST['bank']);
    $account_nums = array_map('htmlspecialchars', $_POST['account_num']);

    
      if (empty($_POST['token'])) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui lòng đăng nhập']));
    }
    if (!$getUser = $DVR->get_row("SELECT * FROM `users` WHERE `token` = '" . xss($_POST['token']) . "' AND (`level` = '1' OR `level` = '2')")) {
        die(json_encode(['status' => 'error', 'msg' => 'Chức Năng Này Chỉ Dành Cho Admin Và CTV']));
    }
    if (empty($title)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập Tên']));
    }
     if (empty($image)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập Link Ảnh']));
    }
     if (empty($money)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập Số Tiền Bảo Hiểm']));
    }
     if (empty($sdt)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập SĐT']));
    }
     if (empty($telegram)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập ID Telegram']));
    }
     if (empty($linkfb)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập Link FB']));
    }
     if (empty($idfb)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập UID FB']));
    }
     if (empty($linkwebsite)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập Link Website']));
    }
     if (empty($dichvucungcap)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập Dịch Vụ Cung Cấp']));
     }
    if (empty($ngay)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập Ngày Cọc']));
    }
     if (empty($banks)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Chọn Ngân Hàng']));
    }
     if (empty($account_nums)) {
        die(json_encode(['status' => 'error', 'msg' => 'Vui Lòng Nhập STK']));
    }

    $banks_string = implode("\n", $banks);
    $account_nums_string = implode("\n", $account_nums);

    $insert_success = $DVR->update("gdv", [
            'name'           => $title,
        'code'           => xoadau($title),
        'image'          => $image,
        'money'          => $money,
        'dich_vu'          => $dich_vu,
        'sdt'            => $sdt,
        'telegram'       => $telegram,
        'linkfb'         => $linkfb,
        'id_fb'           => $idfb,
        'website'           => $linkwebsite,
        'dichvucungcap'  => $dichvucungcap,
        'ngay'  => $ngay,
        'ngan_hang'      => $banks_string,
        'stk'            => $account_nums_string,
        ], " `id` = '" . $id . "' ");
    if ($insert_success) {
        // Insert log
        $DVR->insert("logs", [
            'user_id'       => $getUser['id'],
            'ip'            => myip(),
            'device'        => $_SERVER['HTTP_USER_AGENT'],
            'create_date'   => gettime(),
            'action'        => 'Cập Nhật GDV thành công (#' . $title . ')'
        ]);

        // Send Telegram notification
        sendTele(templateTele($getUser['name'] . " Cập Nhật GDV thành công (#" . $title . ")"));

        die(json_encode(['status' => 'success', 'msg' => 'Cập Nhật thành công']));
    } else {
        die(json_encode(['status' => 'error', 'msg' => 'Lỗi Không Cập Nhật Được GDV']));
    }

} else {
    echo json_encode(['status' => 'error', 'msg' => 'Invalid request method']);
}
?>
